<template>
    <div v-if='album != null'>
        <TitlePage :title="album.name"/>
        <div class="row">
            <div class="col-12 gallery ">
                <v-gallery :images="photos" :dark="true" :control-title="false"></v-gallery>
            </div>
        </div>
        <div class="btn-center">
                <button class="btn btn-primary" v-on:click="Album()">  Retour </button>
        </div>
    </div>
</template>

<script>
    export default {
        data(){
            return{
                photos:[],
                visible: false,
                index: null,
                album:null,
            }
        },
        created: async function(){
            await this.getAlbum();
            await this.getPhotos();
        },
        methods:{
            getAlbum: async function(){
                var vue = this;
                var id = this.$route.params.album
                await vue.$axios({
                    method: "GET",
                    url:"/album/"+id,
                    dataType:'JSON',}).then(response => {
                        vue.album = response.data;
                })
            },
            getPhotos : async function(){
                var vue = this;
                var id = this.$route.params.album
                await vue.$axios({
                    method: "GET",
                    url:"/photos/"+id+"/getPhotos",
                    dataType:'JSON',}).then(response => {
                        response.data.map((photo) => {
                            vue.photos.push({id: photo.id, url: photo.path, title: photo.title})
                        })
                })
            },
            Album:function(){
                return this.$router.push({name:'Albums'})
            }
        },
        computed:{
        }
    }
</script>
